## xmake-io-xmake.zip

=== tests/projects/c/library_with_cmakelists/foo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13.0)
project(foo LANGUAGES C CXX ASM)

add_library(foo STATIC "")
target_sources(foo PRIVATE
    src/foo.c
)
set_target_properties(foo PROPERTIES PUBLIC_HEADER src/foo.h)
include(GNUInstallDirs)
install(TARGETS foo
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

=== tests/projects/linux/driver/hello_makefile/Makefile ===
ifneq ($(KERNELRELEASE),)
    obj-m := hello.o
	hello-objs := ./src/hello.o ./src/add.o
else
    KERN_DIR ?= /usr/src/linux-headers-5.11.0-41-generic/
    PWD := $(shell pwd)

default:
	$(MAKE) -C $(KERN_DIR) V=1 M=$(PWD) modules
endif

clean:
	rm -rf *.o *~ core .depend .*.cmd *.ko *.mod.c .tmp_versions
	rm -rf src/*.o src/*~ core src/.depend src/.*.cmd src/*.ko src/*.mod.c src/.tmp_versions

=== scripts/archlinux/PKGBUILD ===
# Maintainer: <waruqi@gmail.com>
# PKGBuild Create By: lumpyzhu <lumpy.zhu@gmail.com>

pkgname=xmake
pkgver=2.7.5
pkgrel=1
pkgdesc="A cross-platform build utility based on Lua"
depends=('bash')
arch=('i686' 'x86_64' 'aarch64')
url="https://github.com/xmake-io/xmake"
license=('Apache')
makedepends=('ncurses' 'readline')
source=("https://github.com/xmake-io/xmake/releases/download/v${pkgver}/xmake-v${pkgver}.tar.gz")
sha256sums=('3e71437ad2a59d1fbbc9fba75ab4ca8d428c49beefcce86c11f6c4710dd4b6f2')

build() {
    cd "${_realname}-${pkgver}"
    ./configure
    make
}

package() {
    cd "${_realname}-${pkgver}"
    make install DESTDIR="${pkgdir}" PREFIX="usr"
}
